Bug 214024 - (perl-Net-DBus) Review Request: perl-Net-DBus - Net::DBus Perl module
Review Request: perl-Net-DBus - Net::DBus Perl module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Net-DBus/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-04 15:22 EST by Chris Weyl
Modified: 2011-01-25 18:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 13:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-04 15:22:11 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-DBus-0.33.3-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Net-DBus.spec

Description:
Net::DBus provides a Perl API for the DBus message system. The DBus Perl
interface is currently operating against the 0.32 development version of
DBus, but should work with later versions too, providing the API changes
have not been too drastic.
Comment 2 Jason Tibbitts 2006-11-13 11:13:32 EST
Hmm, this fails to build in mock for me:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'OPTIMIZE=-O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic'
could not run 'pkg-config' to determine compiler/linker flags for dbus library:
No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.26604 (%build)

Looks like dbus-devel is missing a dependency on pkgconfig.  Until it gets one,
you'll need to add BR: pkgconfig yourself.

Getting past that, the tests fail all over the place because XML::Twig is
missing.  Adding that, one of the tests still fails:

t/30-server.....................process 23518: Applications must not close
shared connections - see dbus_connection_close() docs. This is a bug in the
application.
  /lib64/libdbus-1.so.3 [0x2aaaac4dcb1c]
  /lib64/libdbus-1.so.3 [0x2aaaac4dc1d9]
  /lib64/libdbus-1.so.3 [0x2aaaac4d1fea]
 
/builddir/build/BUILD/Net-DBus-0.33.4/blib/arch/auto/Net/DBus/DBus.so(XS_Net__DBus__Binding__C__Connection_dbus_connection_disconnect+0x1ca)
[0x2aaaac28edda]
 
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so(Perl_pp_entersub+0x3f6)
[0x2aaaaad56916]
 
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so(Perl_runops_standard+0xe)
[0x2aaaaad501de]
 
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so(perl_run+0x30a)
[0x2aaaaacfe03a]
  /usr/bin/perl(main+0xfc) [0x40179c]
  /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aaaabf21924]
  /usr/bin/perl [0x401609]
dubious
        Test returned status 0 (wstat 6, 0x6)
DIED. FAILED tests 9-11
        Failed 3/11 tests, 72.73% okay

I'm not sure what to do from here.  An FC5 build does pass but I'm not set up to
do FC6 builds yet.
Comment 3 Chris Weyl 2006-11-13 11:54:39 EST
(In reply to comment #2)
> Hmm, this fails to build in mock for me:
> 
> + /usr/bin/perl Makefile.PL INSTALLDIRS=vendor 'OPTIMIZE=-O2 -g -pipe -Wall
> -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
> -m64 -mtune=generic'
> could not run 'pkg-config' to determine compiler/linker flags for dbus library:
> No such file or directory
> error: Bad exit status from /var/tmp/rpm-tmp.26604 (%build)
> 
> Looks like dbus-devel is missing a dependency on pkgconfig.  Until it gets one,
> you'll need to add BR: pkgconfig yourself.

Added.  Also filed a bug against the dbus package on this: bug 215346.
 
> Getting past that, the tests fail all over the place because XML::Twig is
> missing.  Adding that, one of the tests still fails:
> 
> t/30-server.....................process 23518: Applications must not close
> shared connections - see dbus_connection_close() docs. This is a bug in the
> application.
>   /lib64/libdbus-1.so.3 [0x2aaaac4dcb1c]
>   /lib64/libdbus-1.so.3 [0x2aaaac4dc1d9]
>   /lib64/libdbus-1.so.3 [0x2aaaac4d1fea]
>  
>
/builddir/build/BUILD/Net-DBus-0.33.4/blib/arch/auto/Net/DBus/DBus.so(XS_Net__DBus__Binding__C__Connection_dbus_connection_disconnect+0x1ca)
> [0x2aaaac28edda]
>  
>
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so(Perl_pp_entersub+0x3f6)
> [0x2aaaaad56916]
>  
>
/usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so(Perl_runops_standard+0xe)
> [0x2aaaaad501de]
>  
> /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/CORE/libperl.so(perl_run+0x30a)
> [0x2aaaaacfe03a]
>   /usr/bin/perl(main+0xfc) [0x40179c]
>   /lib64/libc.so.6(__libc_start_main+0xf4) [0x2aaaabf21924]
>   /usr/bin/perl [0x401609]
> dubious
>         Test returned status 0 (wstat 6, 0x6)
> DIED. FAILED tests 9-11
>         Failed 3/11 tests, 72.73% okay
> 
> I'm not sure what to do from here.  An FC5 build does pass but I'm not set up to
> do FC6 builds yet.

Hrm, that's odd.  (XML::Twig added, as well.)  I'm building this on a FC6/x86_64
box, and not only does this test pass but I've used it to interact with
dnsmasq...  I'll try building it in mock over here and taking a peek at the
buildlog.  Maybe it's silently depending on something and almost as silently
failing?
Comment 4 Chris Weyl 2006-11-17 11:56:27 EST
Ok, I found a FC5 box and build it there...  with the additional BR's, no problem.

I also built it under mock for fc5&6 (i386)...  All tests passed cleanly, so I'm
not quite sure what happened above.

SRPM URL: http://home.comcast.net/~ckweyl/perl-Net-DBus-0.33.4-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Net-DBus.spec
Comment 5 Jason Tibbitts 2006-11-17 12:21:04 EST
The point was that it fails to build in rawhide.  I tested it on FC5 and it was
fine; I was unable to test on FC6 but I am not surprised to see that it works.

Failure to work on rawhide is certainly not a blocker, but you should know up
front that the code is buggy and could fail at pretty much any time if Red Hat
see a need to update DBUS in FC6.  I'll check out the new packages.
Comment 6 Chris Weyl 2006-11-17 12:32:52 EST
Ahh, rawhide.  I missed that, somehow.

The module appears to be actively maintained, and the author has been fairly
responsive when I've filed issues against it.  I'm not worried about there being
dbus support in this module to match rawhile by the time fc7 rolls around.
Comment 7 Jason Tibbitts 2006-11-18 00:44:47 EST
I spent a bit of time to get FC6 builds working, and builds on FC6 as well as
FC5 are fine:
   All tests successful, 48 subtests skipped.
   Files=17, Tests=710,  5 wallclock secs ( 2.44 cusr +  0.44 csys =  2.88 CPU)

So, rawhide builds are broken (due to problems with the packaged software, not
with rawhide), but that's not a blocker.

APPROVED
Comment 8 Jason Tibbitts 2006-11-20 19:26:46 EST
Note that a test update which rebases FC6 to dbus 1.0.1 has just been released,
so I expect rawhide brokenness will become a much more urgent issue.
Comment 9 Chris Weyl 2006-11-20 20:23:04 EST
Looks like in this case the testsuite (namely 30-server.t) is broken, rather
than the module itself:

http://rt.cpan.org/Public/Bug/Display.html?id=22850
Comment 10 Jason Tibbitts 2006-11-21 11:23:11 EST
I guess you can just delete that test so that the package will build properly. 
CVS is back up now, so check in when you like.
Comment 11 Chris Weyl 2006-11-21 13:54:02 EST
Done!

Thanks for the review :)
Comment 12 Marcela Mašláňová 2011-01-24 07:09:25 EST
Package Change Request
======================
Package Name: perl-Net-DBus 
New Branches: EL-6
Owners: mmaslano bochecha
InitialCC: perl-sig
Comment 13 Jason Tibbitts 2011-01-25 10:08:26 EST
We need an ack from the Fedora maintainer here, or reference to somewhere that
he's granted some kind of blanket permission. He's not listed on
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo but I see plenty of
requests to branch his packages.  If he stated his wishes there things would be
a bit simpler.
Comment 14 Marcela Mašláňová 2011-01-25 10:52:25 EST
Hm, I forgot mentioned that maintainer of this package is not around and we (Perl SIG) are taking care about his packages: https://fedorahosted.org/fesco/ticket/507#comment:7
Sadly, there's no chance maintain it as a group, so we solved it this way.
Comment 15 Jason Tibbitts 2011-01-25 18:39:07 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.